Bug 187976 - Annoying warning messages
Annoying warning messages
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: fetchmail (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-04 21:44 EDT by DaveG
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-05 23:00:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description DaveG 2006-04-04 21:44:44 EDT
Description of problem:

I run fetchmail periodically from /etc/crontab:
02 7,13,19 * * * root /usr/bin/fetchmail -f /etc/fetchmailrc
to collect mail from a number of disparate Internet maildrops for a number of 
users for local redistribution, virus and spam scanning. It has worked 
flawlessly and _quietly_ since about RH7.2.

Every run now emits a nicely formatted message to root informing me "fetchmail: 
WARNING: Running as root is discouraged.".

The documentation describes how to run fetchmail as root to do exactly what I 
need but offers no alternative configuration to avoid the "discouraged" use or 
disable the message.

Version-Release number of selected component (if applicable):
fetchmail-6.3.2.1-1.2.i386

How reproducible:
Every time.

Steps to Reproduce:
1. Set up a 'fetchmailrc', owned by root, mode 600, named /etc/fetchmailrc.
2. Run 'fetchmail -f /etc/fetchmailrc' as root.
3. Check the maildrop for root.
  
Actual results:
A nice warning message from fetchmail in both text and HTML.

Expected results:
NO MESSAGE! It did what I asked so there's no need to tell me. Maybe a warning 
note in the changelog?

Additional info:
line #168 of fetchmail.c from fetchmail-6.3.2.1-1.2.src.rpm
Warning message is generated before syslog is set up and without checking any 
arguments or configuration file settings. i.e. there's no way to turn it off.
Comment 1 Miloslav Trmač 2006-04-05 23:00:42 EDT
The alternative is to run fetchmail using an unprivileged user account, preferably
an account designated purely for fetchmail.  fetchmail in most configurations
doesn't need to be run as root; therefore using an unprivileged account limits the
possible damage, should a bug in fetchmail be exploited.

In this case the message seems to have the intended effect of encouraging
you to change the system setup :)

Another reason to switch is
http://lists.berlios.de/pipermail/fetchmail-devel/2005-July/000384.html
Comment 2 DaveG 2006-04-06 05:01:33 EDT
OK, fair enough.
Not as much work as I suspected.
Now tested and working under a non-root user id.

Note You need to log in before you can comment on or make changes to this bug.